[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomComboBox.LMChanged

Handles the LM_CHANGED message for the control.

## Declaration

Source position: stdctrls.pp line 356

`protected procedure TCustomComboBox.LMChanged(`
`var Msg`
`); message;`

## Arguments

`Msg` |  | Message handled in the method.

## Description

LMChanged is a procedure used to handle a LM_CHANGED message received for the control. LMChanged occurs when the widgetset class calls the LCLSendChangeMsg routine for the control. LMChanged calls the Change method to perform the control message and to signal the OnChange event handler (when assigned).

## See also

TCustomComboBox.Change |  | Signals the OnChange event handler when the value for the control is changed.
TCustomComboBox.OnChange |  | Event handler signalled for user changes to the text in the edit box.
TControl.Perform |  | Calls a message handler directly, bypassing the message queue.